# Job Listing

### **`before_awsm_jobs_main_content`**

This action hook is fired before the WP Job Openings generated content. This hook is applicable to both single job listing and job listing archives.

This hook is available since Version 1.1.0

#### Source code

File: *`inc/templates/archive-job.php, inc/templates/single-job.php`*

### **`after_awsm_jobs_main_content`**

This action hook is fired after the WP Job Openings generated content. This hook is applicable to both single job listing and job listing archives.

This hook is available since Version 1.1.0

#### Source code

File: *`inc/templates/archive-job.php, inc/templates/single-job.php`*

### **`before_awsm_jobs_listing`**

Fires before The Loop to query for jobs

This hook is available since Version 1.1.0

#### Source code

File: *`inc/templates/job-openings-view.php`*

### **`after_awsm_jobs_listing`**

Fires after the jobs listing

This hook is available since Version 1.1.0

#### Source code

File: *`inc/templates/job-openings-view.php`*

### **`awsm_filter_form`**

Display filter form for job listings.

#### Parameters

* **$shortcode\_atts**

  (array) An array containing the shortcode attributes.

#### Source code

File: *`/inc/templates/job-openings-view.php`*

### **`before_awsm_jobs_single_loop`**

Fires before The Loop to query for single job listing

This hook is available since Version 1.1.0

#### Source code

File: *`inc/templates/single-job.php`*

### **`before_awsm_jobs_single_content`**

Fires before the job single content.

This hook is available since Version 1.1.0

#### Source code

File: *`inc/templates/single-job.php`*

### **`after_awsm_jobs_single_content`**

Fires after the job single content.

#### Source code

File: *`inc/templates/single-job.php`*

### **`after_awsm_jobs_single_loop`**

Fires after loop.

#### Source code

File: *`inc/templates/single-job.php`*

### **`before_awsm_jobs_listing_loop`**

Fires before the loop to query for jobs.

#### Source code

File: *`inc/templates/job-openings/main.php`*

### **`before_awsm_jobs_listing_left_col_content`**

Fires before jobs listing left column content.

#### Source code

File: *`inc/templates/job-openings/main.php`*

{% hint style="warning" %}
This hook has been deprecated since version 3.0.0. Use ***before\_awsm\_jobs\_listing\_title*** instead.
{% endhint %}

### **`before_awsm_jobs_listing_title`**

Fires before jobs listing title content.

#### Source code

File: *`inc/templates/job-openings/main.php`*

### **`after_awsm_jobs_listing_left_col_content`**

Fires after jobs listing left column content.

#### Source code

File: *`inc/templates/job-openings/main.php`*

{% hint style="warning" %}
This hook has been deprecated since version 3.0.0. Use ***after\_awsm\_jobs\_listing\_title*** instead.
{% endhint %}

### **`after_awsm_jobs_listing_title`**

Fires after jobs listing title content.

#### Source code

File: *`inc/templates/job-openings/main.php`*

### **`before_awsm_jobs_listing_right_col_content`**

Fires before jobs listing right column content.

#### Source code

File: *`inc/templates/job-openings/main.php`*

{% hint style="warning" %}
This hook has been deprecated since version 3.0.0. Use ***before\_awsm\_jobs\_listing\_specs\_content*** instead.
{% endhint %}

### **`before_awsm_jobs_listing_specs_content`**

Fires before jobs listing specifications content.

#### Source code

File: *`inc/templates/job-openings/main.php`*

### **`after_awsm_jobs_listing_right_col_content`**

Fires after jobs listing right column content.

#### Source code

File: *`inc/templates/job-openings/main.php`*

{% hint style="warning" %}
This hook has been deprecated since version 3.0.0. Use ***after\_awsm\_jobs\_listing\_specs\_content*** instead.
{% endhint %}

### `after_awsm_jobs_listing_specs_content`

Fires after jobs listing specifications content.

#### Source code

File: *`inc/templates/job-openings/main.php`*

### **`after_awsm_jobs_listing_loop`**

Fires after the loop.

#### Source code

File: *`inc/templates/job-openings/main.php`*

### **`before_awsm_job_details`**

Fires before the awsm job details.

#### Source code

File: *`inc/templates/job-content.php`*

### **`after_awsm_job_details`**

Fires after awsm job details.

#### Source code

File: *`inc/templates/job-content.php`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wpjobopenings.com/developers/hooks/actions/job-listing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
